From f8d1a1c386c35508122dad00e9de7af426805977 Mon Sep 17 00:00:00 2001
From: kiasoc5 <kiasoc5@disroot.org>
Date: Sat, 4 Jun 2022 14:19:51 -0400
Subject: [PATCH 1/3] gnu: Add emacs-seq.

* gnu/packages/emacs-xyz (emacs-seq): New variable.
---
 gnu/packages/emacs-xyz.scm | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

diff --git a/gnu/packages/emacs-xyz.scm b/gnu/packages/emacs-xyz.scm
index 0707a7d4a5..c5aa3580f5 100644
--- a/gnu/packages/emacs-xyz.scm
+++ b/gnu/packages/emacs-xyz.scm
@@ -31305,3 +31305,22 @@ (define-public emacs-bitbake-modes
 be useful when working with the bitbake files in Yocto and OpenEmbedded
 projects.")
    (license license:gpl3+)))
+
+(define-public emacs-seq
+ (package
+  (name "emacs-seq")
+  (version "2.23")
+  (source
+    (origin
+      (method url-fetch)
+      (uri (string-append "https://elpa.gnu.org/packages/seq-" version ".tar"))
+      (sha256
+        (base32 "1lbxnrzq88z8k9dyylg2636pg9vc8bzfprs1hxwp9ah0zkvsn52p"))))
+  (build-system emacs-build-system)
+  (home-page "https://elpa.gnu.org/packages/seq.html")
+  (synopsis "Sequence manipulation functions")
+  (description
+    "Sequence-manipulation functions that complement basic functions provided by
+subr.el. All provided functions are prefixed with \"seq-\" and work on lists,
+strings and vectors.")
+   (license license:gpl3+)))

base-commit: c35e508b4a317e3c06e1553833b0979e1620f582
prerequisite-patch-id: fd3735afb42c21e22700207020b154e298421668
prerequisite-patch-id: 43ac45758b74baffbdba376a169869a244476d0c
prerequisite-patch-id: d429d17230553271f9354f0156dee0e96bfbd8ba
prerequisite-patch-id: f69a5cc98c39be925149f9d9f5595b2227b3c458
prerequisite-patch-id: f97097507834636aad51577c2bd211b7ecf3abe1
prerequisite-patch-id: 061d2102028c12a6d0c583ce097bb991475a49ae
prerequisite-patch-id: 50c9c65e58e0e2e3b2cf6925ff121800ec3ce2dc
prerequisite-patch-id: 21c6f6d4bc14ab8f591d71b1622e5ba99a1b770c
prerequisite-patch-id: c8adf4cb3abac8a390ab63527c224018bc15af60
prerequisite-patch-id: f3f0651915f5e2c240d3f9309f1a801db7dbfdf7
prerequisite-patch-id: 3b7e66fdf697f49b30645fe799b977304b31c7c3
prerequisite-patch-id: 3574b2905d42570bfb63607f18af7e38d2965f64
prerequisite-patch-id: 106530fc4483b2864cf9b67422e54c7bb24010ec
prerequisite-patch-id: d99167c149325b658a489ee08c30d0601d33097e
prerequisite-patch-id: a66424f5fb2413292373705d1beb188758dbec52
prerequisite-patch-id: 0658971167efd45dd096eabec3de370afacec008
prerequisite-patch-id: 53e1faba813e987b4413739e47b85a1f205a5acf
prerequisite-patch-id: 1f0abfebfd5317820e6a6a74cd1f38e7d3910b4b
prerequisite-patch-id: 7e23b97e5c0b516065255bbee177713f461f7be1
prerequisite-patch-id: 2a13cca0b599c1cd94ece69822ca323313695dfb
prerequisite-patch-id: 5ae9b26b0a7a45de030c8eb338fbbdc8d03a6822
prerequisite-patch-id: f1be0cce4b3e98da5f65bfa6bc8b8e097b2c2f78
prerequisite-patch-id: d7fef9f07fc9ebda79b40f8673a2411a8dfd9fa0
prerequisite-patch-id: 62c0018bcecafbd74332d66910f4efd622655207
prerequisite-patch-id: 328aa92bace62aeea4428b368c1002b6bc253ae6
prerequisite-patch-id: 258132e2debddfb141ae5a6f292429fd606f64f2
prerequisite-patch-id: fca2e665a986ede557c42cb053dec84421f01cbc
prerequisite-patch-id: 3a1f0a45b14a0a0020551d89ffd72e27cca75fdb
prerequisite-patch-id: 44be94387e4bdb909faa4476c7243f74eb5c603a
prerequisite-patch-id: 71ce03d2799e6bae1faf0e777749c3ab8acede75
prerequisite-patch-id: 4aa8081029b59587a0abe721d44c7dcc5e4e68d2
prerequisite-patch-id: 911adb637445f256e7e3649f34543491316cd476
prerequisite-patch-id: e5a4b5439ded4cc9ed66ba6506d0d533a2c5e7d7
prerequisite-patch-id: e13acf7d613d169c381b8c2a1fc8bf0ff2350db5
prerequisite-patch-id: 53d6f3122132652118d597972206eafaf356579f
prerequisite-patch-id: aaae9f73ccbe799b267d3a6f10f9eafe9d058426
prerequisite-patch-id: 9ea032a4ce767b675cc5ca4557252643b63898e5
prerequisite-patch-id: 3357ee8e0e20c69281a25449b811dae6ff5abce8
prerequisite-patch-id: 80f4819938656bb7c538661f9a5990df4d88b0ae
prerequisite-patch-id: 6c632c2134bca93e91b049c1b1819452ab64587a
prerequisite-patch-id: b3fc1eb7a5751a10a83a6fac7f20b515331d3e24
prerequisite-patch-id: 2d6d2a76f7b95f7fb12812da2bad79fee6c0e5dc
prerequisite-patch-id: eb3117b044a53d3caed71ba36a7cf9b668c459b1
prerequisite-patch-id: 1f2b608dd41fad072abe838549e1d5f1912f92d4
prerequisite-patch-id: a68511b918ac7e6c658d5f2f4a0cc214a8dd469b
prerequisite-patch-id: 14368eddc6678c085b0dc2bd34fdfaf86bc38c59
prerequisite-patch-id: 67f8870b02a63965d6b012524ecdcfb52d5f13f1
prerequisite-patch-id: 58c2555ba59e3729cfda59a41bca794f8a2688b7
prerequisite-patch-id: ad4d3409fb0e6762ab221204222481a6780df565
prerequisite-patch-id: de79cad735d39b425e96d4faf3fce83fb2084a5c
prerequisite-patch-id: 323144efdbbb979c72f00b1059230159d325359e
prerequisite-patch-id: 8a7c879e88ab67ec18c1863df0cca6287413d362
prerequisite-patch-id: fff5b4a1179f2222e7b4ad3dffc5a4aa080834d7
prerequisite-patch-id: 3342c1a2d1467b5c3be3d2b4833860b67dd2dc99
prerequisite-patch-id: f8381f737b313d9705253c6fb91823b99ee5b9e3
prerequisite-patch-id: b5d80cf2eeacd419d7ff731c537a01b11e6886c0
prerequisite-patch-id: 3a7e09fd51cde718edd56d4895392c79603ddfaa
prerequisite-patch-id: 2b56a85713818b4a4192c4f571de48531ae9f1f0
prerequisite-patch-id: 1fd3a6d9774ae1ad468b434cadda7a39c5fc5951
prerequisite-patch-id: d7cce25b91184fd11c116d86604625b00deb3a81
prerequisite-patch-id: ffdc39d211acc2569d6eb20fed6634ae11871812
prerequisite-patch-id: 85e2f47f3184f9902f86acb151b63e9de9ada2de
prerequisite-patch-id: 1eb2217d5e59b9c2333bcaaa9389476e41052098
prerequisite-patch-id: baa4f1e0448c002514490404fa04ab507cd5e12c
prerequisite-patch-id: 9ccbc72861f9e2042b74b10fb8485b08e6f51361
prerequisite-patch-id: a88bf1ad58623d357ffe013b50793d4d8957508c
prerequisite-patch-id: 616757425739c4d5d172a83b65b714f5ee2ce1e9
prerequisite-patch-id: a0a241a8025fe99b379d142339494c48ff860f2e
prerequisite-patch-id: 3ac43360e718417565577927140758f71bcd07cc
prerequisite-patch-id: e550618aba5ccff1424552e3908d8a8bf371bb40
prerequisite-patch-id: d7b98f3f7ef2459bedf0198c40f1f164ba1b971a
prerequisite-patch-id: 7baa2cd2826a19995c5b6891b6a3d98ca9861119
prerequisite-patch-id: 498d9afbad9a5cf51900338809589b959fafb084
prerequisite-patch-id: 44fa5f86a0576c681b9c4e7a4dfce07693d16f67
prerequisite-patch-id: df51b110a15e2d88070d144d6a9069d6b0c56ad8
prerequisite-patch-id: 410870f6aa572e11e1238b2eab6b563a675075ab
prerequisite-patch-id: bb1c47224e76ca999db73e1230dfb23686f01372
prerequisite-patch-id: 3743b8c179b81e10eac421ea7ed07494af037e46
prerequisite-patch-id: 1727a200166bf9cb27092f6aadc10e930897a616
prerequisite-patch-id: e41f07dcd7707a32388cfec2ed8f3f3fd8ac2ac9
prerequisite-patch-id: c03eabd5d37f7429f3e46f6fbe10063125955017
prerequisite-patch-id: 784a0c280e56dcfeb92b94af57a2f8229ffe9b62
prerequisite-patch-id: 98b657385d5889a1fbc6f2132cf93a8156029342
prerequisite-patch-id: 90d49ff2d63681f2b25644f8e3124a6bbc5194ca
prerequisite-patch-id: 436c07d2462a637d6cbb3c02e2f98b9abbbf8140
prerequisite-patch-id: db614c8e14c8fcabb8987be9b03fcabe746e34d8
prerequisite-patch-id: 8cc841f666fe42fc76ad44cfaa16d2fd040e6675
prerequisite-patch-id: 02854010695db4b9311c89df05e2a7ce1d8f3c93
prerequisite-patch-id: 5d9f7cdc15f4a117b913a3eb8b1d474c6b1951be
prerequisite-patch-id: 1d455f9793ead587f14c58096c60494a55186d28
prerequisite-patch-id: 91c1c5d8ff2adc811318fccb836d7b6ddc7e3620
prerequisite-patch-id: 46b7bd77e4332b5257f229802fff178e1014d513
prerequisite-patch-id: 8cede9d844c4a161cbec4d6a8359459d9d481856
prerequisite-patch-id: 56519576c5068361cfcfbc875922978bc3dbe4f0
prerequisite-patch-id: 8c7a207692df779f467a10c6be863052a281cf25
prerequisite-patch-id: a27ee0a20e95fc1774ce979a138c91c34ba29128
prerequisite-patch-id: 142607eea6745be6f9890e2ec44c573f6ec0ad83
prerequisite-patch-id: 3a0755f9208f60f290d0cc5d861670332fed683f
prerequisite-patch-id: a8c0c777306a40e3765cc2838dd79fd043f35453
prerequisite-patch-id: 85db18db075de81e13932f2644a9589ed5e49045
prerequisite-patch-id: bd201c16ea3c452ce7ed3f65bff86175d47c9a69
prerequisite-patch-id: 03559323a03d5bc490b1e2d062c097af80da4aa1
prerequisite-patch-id: f9c13a4fceee20af91251b3c78e688916605da53
prerequisite-patch-id: 897d2b7c471c49d06aafa215a4e7468c46e45579
prerequisite-patch-id: ce65fe5013cca728480564f0703492d8eb9e2240
prerequisite-patch-id: 46fcd644ef0eecdbb81530660fecdf1bd02f1ed3
-- 
2.36.1

